
"""
Test file for main.py
Version 0.1

Call this file, just use command `python test_main.py`
if need to run command, to call main.py directly, can update test_main.py parameters and run
"""


import json
import sys
from main import main_func

# Initial parameters here
resource = {"key1": "value1", "key2": "value2", "key3": "value3"}
position = 10.01
force = 10.01
speed = 10.01

# Compose args_json here
args_json = {
    "resource": json.dumps(resource),
    "position": json.dumps(position),
    "force": json.dumps(force),
    "speed": json.dumps(speed)
}

sys.argv.append(json.dumps(args_json))
main_func()
